package com.qmth.distributed.print.business.bean.params;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.distributed.print.business.enums.StudentClazzEnum;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 命题任务提交考务考生生参数
 * @Author: CaoZixuan
 * @Date: 2022-08-22
 */
public class ExamTaskStudentObjectParam {
    @ApiModelProperty("学生id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long studentId;

    @ApiModelProperty("行政班id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long basicClazzId;

    @ApiModelProperty("教学班id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long teachClazzId;

    @ApiModelProperty("学生班级类型")
    private StudentClazzEnum studentClazzType;

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public Long getBasicClazzId() {
        return basicClazzId;
    }

    public void setBasicClazzId(Long basicClazzId) {
        this.basicClazzId = basicClazzId;
    }

    public Long getTeachClazzId() {
        return teachClazzId;
    }

    public void setTeachClazzId(Long teachClazzId) {
        this.teachClazzId = teachClazzId;
    }

    public StudentClazzEnum getStudentClazzType() {
        return studentClazzType;
    }

    public void setStudentClazzType(StudentClazzEnum studentClazzType) {
        this.studentClazzType = studentClazzType;
    }
}
